From ok@artecdesign.ee Thu Aug  4 06:58:41 2005
Date: Thu, 4 Aug 2005 16:54:08 +0300 (EEST)
From: Olav Kongas <ok@artecdesign.ee>
To: Greg KH <greg@kroah.com>
Subject: USB: isp116x-hcd: per-port overcurrent reporting
Message-ID: <Pine.LNX.4.63.0508041652390.2726@pcx>

This patch sets the isp116x to report overcurrent always per-port.

Signed-off-by: Olav Kongas <ok@artecdesign.ee>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>

---
 drivers/usb/host/isp116x-hcd.c |    2 ++
 include/linux/usb_isp116x.h    |    2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

--- gregkh-2.6.orig/drivers/usb/host/isp116x-hcd.c	2005-08-08 16:01:40.000000000 -0700
+++ gregkh-2.6/drivers/usb/host/isp116x-hcd.c	2005-08-08 16:01:40.000000000 -0700
@@ -1585,6 +1585,8 @@
 	   be always set. Yet, instead, we request individual port
 	   power switching. */
 	val |= RH_A_PSM;
+	/* Report overcurrent per port */
+	val |= RH_A_OCPM;
 	isp116x_write_reg32(isp116x, HCRHDESCA, val);
 	isp116x->rhdesca = isp116x_read_reg32(isp116x, HCRHDESCA);
 
--- gregkh-2.6.orig/include/linux/usb_isp116x.h	2005-08-08 16:01:40.000000000 -0700
+++ gregkh-2.6/include/linux/usb_isp116x.h	2005-08-08 16:01:40.000000000 -0700
@@ -7,7 +7,7 @@
 struct isp116x_platform_data {
 	/* Enable internal resistors on downstream ports */
 	unsigned sel15Kres:1;
-	/* On-chip overcurrent protection */
+	/* On-chip overcurrent detection */
 	unsigned oc_enable:1;
 	/* INT output polarity */
 	unsigned int_act_high:1;
